## org.jfree.chart.util
Class LineUtilities

    java.lang.Object
      org.jfree.chart.util.LineUtilities

    public class LineUtilities

extends java.lang.Object

Some utility methods for `Line2D` objects.

Since:
  1.0.12

Constructor Summary
`LineUtilities()`

Method Summary
`static boolean` `clipLine(java.awt.geom.Line2D line, java.awt.geom.Rectangle2D rect)` Clips the specified line to the given rectangle.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineUtilities

    public LineUtilities()

Method Detail

### clipLine

    public static boolean clipLine(java.awt.geom.Line2D line,
                                   java.awt.geom.Rectangle2D rect)

  Clips the specified line to the given rectangle.

  Parameters:
    `line` - the line (`null` not permitted).
    `rect` - the clipping rectangle (`null` not permitted).
  Returns:
    `true` if the clipped line is visible, and `false` otherwise.